<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface EnabledInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface EnabledInterface
{
    /**
     * @param bool|null $enabled
     *
     * @return EnabledInterface
     */
    public function setEnabled(bool $enabled = null): EnabledInterface;

    /**
     * @return bool|null
     */
    public function getEnabled(): ?bool;

    /**
     * @return bool|null
     */
    public function isEnabled(): ?bool;
}
